xml-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Edwin Goei <edwi...@sun.com>
Subject Re: JAXP (in)compatability between Xerces and Crimson
Date Fri, 09 Nov 2001 19:01:57 GMT
robert burrell donkin wrote:
> 
> this is quite a well known problem. it boils down to classloaders.
> 
> standalone tomcat 4.0 works because it has classloaders specially
> rewritten to work with JAXP.
> jboss uses a different system of classloaders and requires special
> configuration to make JAXP work.
> the bad news is that some ejb containers are even worse than jboss...
> 
> [snip]
> 
> this isn't an apache problem - it's a JAXP problem.
> even with only one apache implementation you'd still get version conflicts
> :(

Could you explain what you mean by "it's a JAXP problem"?  From your
description, it sounds like the problem is in the container, as Tomcat 4
works as expected.

-Edwin

---------------------------------------------------------------------
In case of troubles, e-mail:     webmaster@xml.apache.org
To unsubscribe, e-mail:          general-unsubscribe@xml.apache.org
For additional commands, e-mail: general-help@xml.apache.org


Mime
View raw message